Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 706858 - net-analyzer/snort-2.9.15.1 : fails to build with -fno-common or gcc-10
Summary: net-analyzer/snort-2.9.15.1 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Patrick Lauer
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-28 18:24 UTC by Toralf Förster
Modified: 2020-01-31 13:34 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.79 KB, text/plain)
2020-01-28 18:24 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,122.84 KB, text/plain)
2020-01-28 18:24 UTC, Toralf Förster
Details
environment (environment,94.19 KB, text/plain)
2020-01-28 18:24 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,12.55 KB, application/x-bzip)
2020-01-28 18:24 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,15.37 KB, application/x-bzip)
2020-01-28 18:24 UTC, Toralf Förster
Details
net-analyzer:snort-2.9.15.1:20200128-171049.log.bz2 (net-analyzer:snort-2.9.15.1:20200128-171049.log.bz2,29.78 KB, application/x-bzip)
2020-01-28 18:24 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,56.35 KB, application/x-bzip)
2020-01-28 18:25 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-28 18:24:41 UTC
  452 |     p2 = sfaddr_get_ip6_ptr(ip2);
      |          ^~~~~~~~~~~~~~~~~~
/bin/sh ../libtool  --tag=CC   --mode=link x86_64-pc-linux-gnu-gcc  -O2 -pipe -march=native -fno-common -DSF_VISIBILITY -fvisibility=hidden -Wall  -Wl,-O1 -Wl,--as-needed -L/usr/lib64 -lpcre -ldnet -o snort debug.o decode.o encode.o active.o log.o mstring.o hashstring.o parser.o profiler.o plugbase.o snort.o  strlcatu.o strlcpyu.o tag.o util.o detect.o signature.o mempool.o sf_sdlist.o fpcreate.o fpdetect.o pcrm.o byte_extract.o sfthreshold.o packet_time.o event_wrapper.o event_queue.o ppm.o log_text.o detection_filter.o detection_util.o rate_filter.o pkt_tracer.o obfuscation.o sfdaq.o reload.o idle_processing.o reg_test.o memory_stats.o  output-plugins/libspo.a detection-plugins/libspd.a dynamic-plugins/libdynamic.a dynamic-output/plugins/liboutput.a preprocessors/libspp.a parser/libparser.a target-based/libtarget_based.a preprocessors/HttpInspect/libhttp_inspect.a preprocessors/Session/libsession.a preprocessors/Stream6/libstream6.a sfutil/libsfutil.a control/libsfcontrol.a file-process/libfileAPI.a file-process/libs/libfile.a  reload-adjust/libreload_adjust.a -lz -ldnet -lpcre -lpcap -lnsl -luuid -lm -lm  -ltirpc  -lcrypto -ldl -ldaq -lz -llzma -lpthread -lpthread -lpthread
libtool: link: x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common -DSF_VISIBILITY -fvisibility=hidden -Wall -Wl,-O1 -o snort debug.o decode.o encode.o active.o log.o mstring.o hashstring.o parser.o profiler.o plugbase.o snort.o strlcatu.o strlcpyu.o tag.o util.o detect.o signature.o mempool.o sf_sdlist.o fpcreate.o fpdetect.o pcrm.o byte_extract.o sfthreshold.o packet_time.o event_wrapper.o event_queue.o ppm.o log_text.o detection_filter.o detection_util.o rate_filter.o pkt_tracer.o obfuscation.o sfdaq.o reload.o idle_processing.o reg_test.o memory_stats.o  -Wl,--as-needed -L/usr/lib64 output-plugins/libspo.a detection-plugins/libspd.a dynamic-plugins/libdynamic.a dynamic-output/plugins/liboutput.a preprocessors/libspp.a parser/libparser.a target-based/libtarget_based.a preprocessors/HttpInspect/libhttp_inspect.a preprocessors/Session/libsession.a preprocessors/Stream6/libstream6.a sfutil/libsfutil.a control/libsfcontrol.a file-process/libfileAPI.a file-process/libs/libfile.a reload-adjust/libreload_adjust.a -ldnet -lpcre -lpcap -lnsl -luuid -lm -ltirpc -lcrypto -ldl -ldaq -lz -llzma -lpthread
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: preprocessors/libspp.a(spp_session.o):(.bss+0x60): multiple definition of `sessionPerfStats'; detection-plugins/libspd.a(sp_session.o):(.bss+0x0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: preprocessors/Stream6/libstream6.a(snort_stream_tcp.o):(.bss+0x1fc1c0): multiple definition of `FlushMode'; preprocessors/libspp.a(spp_stream6.o):(.bss+0x200): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop-libressl-20200125-232521

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.14.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Tue, 28 Jan 2020 16:11:57 +0000

emerge -qpvO net-analyzer/snort
[ebuild  N    ] net-analyzer/snort-2.9.15.1  USE="active-response flexresp3 gre (libtirpc) non-ether-decoders perfprofiling ppm react threads -control-socket -debug -file-inspect -high-availability -inline-init-failopen -large-pcap-64bit -linux-smp-stats -open-appid -reload-error-restart (-selinux) -shared-rep -side-channel -sourcefire -static"
Comment 1 Toralf Förster gentoo-dev 2020-01-28 18:24:44 UTC
Created attachment 606162 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-28 18:24:46 UTC
Created attachment 606164 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-28 18:24:50 UTC
Created attachment 606166 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-28 18:24:52 UTC
Created attachment 606168 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-28 18:24:55 UTC
Created attachment 606170 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-28 18:24:58 UTC
Created attachment 606172 [details]
net-analyzer:snort-2.9.15.1:20200128-171049.log.bz2
Comment 7 Toralf Förster gentoo-dev 2020-01-28 18:25:01 UTC
Created attachment 606174 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2020-01-31 13:34:22 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=956d614c759705691a0c336c71bc2a176e71a56f

commit 956d614c759705691a0c336c71bc2a176e71a56f
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2020-01-31 13:29:18 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2020-01-31 13:34:19 +0000

    net-analyzer/snort: Fix CFLAGS=-fno-common
    
    While there, drop a couple of ineffective sed scripts.
    
    Package-Manager: Portage-2.3.86, Repoman-2.3.20
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=706858
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 .../snort/files/snort-2.9.15.1-fno-common.patch    | 106 +++++++++++++++++++++
 net-analyzer/snort/snort-2.9.15.1.ebuild           |  15 +--
 2 files changed, 107 insertions(+), 14 deletions(-)